> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get verified contract at an address on all chains

> Returns all verified deployments at an address on all Sourcify chains (including deprecated ones).

Success returns an array of VerifiedContractMinimal objects under `results` field.

If not verified on any chain, the `results` array will be empty.



## OpenAPI

````yaml /smart-contract-verification-api.yaml get /v2/contract/all-chains/{address}
openapi: 3.1.0
info:
  version: 2.1.0
  title: Sourcify APIv2
  description: >-
    Welcome to the Sourcify's APIv2.


    Important differences between the deprecated legacy API and the new APIv2:

    - **Ticketing**: The verfication requests resolve into tickets/verification
    jobs. 
      - Previously the verification happened during the HTTP request, which resulted in timeouts if compilation took longer
    - **Standard JSON as default**: In the current design we take the standard
    JSON format as our main verification endpoint. Other methods such as
    "multi-file" or "single-file" should be handled by frontends or tooling to
    format into std-json. We still support verification with metadata at
    `/v2/verify/metadata`.

    - **Lean API**: We keep the number of endpoints minimal compared to v1. We
    won't have a session API. 

    - **Detailed contract response**: Prev. we only returned contract files of a
    contract. Now we can return details at `/contract/{chainId}/{address}`.


    By submitting source code for verification, you grant Sourcify (and the
    Argot Collective) a non-exclusive, worldwide, irrevocable, royalty-free
    licence to reproduce, store, and publicly display the submitted source code
    for the purposes of verification, archival, and public inspection.
  license:
    name: MIT
    url: https://github.com/argotorg/sourcify/blob/master/LICENSE
  contact:
    name: Sourcify
    url: https://sourcify.dev
    email: hello@sourcify.dev
servers:
  - url: https://sourcify.dev/server
    description: Production server
security: []
tags:
  - name: Contract Lookup
    description: API v2 - Tools and endpoints for looking up contract information
  - name: Verify Contracts
    description: API v2 - Submit a contract for verification
  - name: Verification Jobs
    description: API v2 - Check the status of a verification job
  - name: Other
    description: General server endpoints
paths:
  /v2/contract/all-chains/{address}:
    get:
      tags:
        - Contract Lookup
      summary: Get verified contract at an address on all chains
      description: >-
        Returns all verified deployments at an address on all Sourcify chains
        (including deprecated ones).


        Success returns an array of VerifiedContractMinimal objects under
        `results` field.


        If not verified on any chain, the `results` array will be empty.
      operationId: get-contract-all-chains
      parameters:
        - name: address
          in: path
          description: >-
            Contract's 20 byte address in hex string with the 0x prefix. Case
            insensitive.
          required: true
          schema:
            type: string
            pattern: (\b0x[a-fA-F0-9]{40}\b)
            minLength: 42
            maxLength: 42
            example: '0x2738d13E81e30bC615766A0410e7cF199FD59A83'
      responses:
        '200':
          description: >-
            Returns all verified deployments at an address on all Sourcify
            chains
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      title: VerifiedContractMinimal
                      properties:
                        match:
                          type: string
                          enum:
                            - match
                            - exact_match
                            - null
                          title: VerificationStatusNullable
                        creationMatch:
                          type: string
                          enum:
                            - match
                            - exact_match
                            - null
                          title: VerificationStatusNullable
                        runtimeMatch:
                          type: string
                          enum:
                            - match
                            - exact_match
                            - null
                          title: VerificationStatusNullable
                        chainId:
                          type: string
                          title: ChainId
                          pattern: ^\d+$
                          minLength: 1
                          maxLength: 20
                          example: '11155111'
                        address:
                          type: string
                          title: Address
                          description: >-
                            Contract Address in hex string. Can be checksummed
                            or not (i.e. can contain capital letters)
                          pattern: (\b0x[a-fA-F0-9]{40}\b)
                          example: '0xDFEBAd708F803af22e81044aD228Ff77C83C935c'
                        verifiedAt:
                          type: string
                          format: date-time
                          example: '2024-07-24T12:00:00Z'
                        matchId:
                          type: string
                          example: '3266227'
                      required:
                        - match
                        - creationMatch
                        - runtimeMatch
                        - chainId
                        - address
              examples:
                Example 1:
                  value:
                    results:
                      - match: exact_match
                        creationMatch: match
                        runtimeMatch: exact_match
                        chainId: '1'
                        address: '0xDFEBAd708F803af22e81044aD228Ff77C83C935c'
                        verifiedAt: '2024-07-24T12:00:00Z'
                        matchId: '421'
                      - match: match
                        creationMatch: match
                        runtimeMatch: match
                        chainId: '11155111'
                        address: '0xDFEBAd708F803af22e81044aD228Ff77C83C935c'
                        verifiedAt: '2025-02-10T14:45:00Z'
                        matchId: '5531'
        '400':
          description: Bad request from the client
          content:
            application/json:
              schema:
                type: object
                title: GenericErrorResponse
                properties:
                  customCode:
                    type: string
                    description: A string token to indicate the reason of the error
                    example: unsupported_chain
                  message:
                    type: string
                    description: The reasoning of the error
                    example: >-
                      The chain with chainId 3153212 is not supported for
                      verification
                  errorId:
                    type: string
                    format: uuid
                required:
                  - customCode
                  - message
                  - errorId
                examples:
                  - customCode: unsupported_chain
                    message: The chain with chainId 9429413 is not supported
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192
              examples:
                Example 1:
                  value:
                    customCode: unsupported_chain
                    message: The chain with chainId 9429413 is not supported
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192
        '404':
          description: No verified contract found on any chain for the provided address
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items: {}
              examples:
                Example 1:
                  value:
                    results: []
        '429':
          description: You are sending too many requests to the server
          content:
            application/json:
              schema:
                type: object
                title: GenericErrorResponse
                properties:
                  customCode:
                    type: string
                    description: A string token to indicate the reason of the error
                    example: unsupported_chain
                  message:
                    type: string
                    description: The reasoning of the error
                    example: >-
                      The chain with chainId 3153212 is not supported for
                      verification
                  errorId:
                    type: string
                    format: uuid
                required:
                  - customCode
                  - message
                  - errorId
                examples:
                  - customCode: unsupported_chain
                    message: The chain with chainId 9429413 is not supported
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192
              examples:
                Example 1:
                  value:
                    customCode: too_many_requests
                    message: You are sending too many requests
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                title: GenericErrorResponse
                properties:
                  customCode:
                    type: string
                    description: A string token to indicate the reason of the error
                    example: unsupported_chain
                  message:
                    type: string
                    description: The reasoning of the error
                    example: >-
                      The chain with chainId 3153212 is not supported for
                      verification
                  errorId:
                    type: string
                    format: uuid
                required:
                  - customCode
                  - message
                  - errorId
                examples:
                  - customCode: unsupported_chain
                    message: The chain with chainId 9429413 is not supported
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192
              examples:
                Example 1:
                  value:
                    customCode: internal_error
                    message: Something went wrong
                    errorId: 1ac6b91a-0605-4459-93dc-18f210a70192

````